Skip to content

Who a list's WhatsApp consent reaches and what one template to them costs

GET
/api/v1/workspaces/{workspace}/whatsapp/estimate
curl --request GET \
--url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/whatsapp/estimate?list=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \
--header 'Authorization: Bearer <token>'

Permission: campaigns:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

list
required
string format: uuid
template
string

OK

Media typeapplication/json
object
connected
required
boolean
consent
required
integer format: int64
cost
required
object
amount
required
number format: double
byCountry
required
Array<object>
object
amount
required
number format: double
country
required
string
messages
required
integer format: int64
price
required
number format: double
category
required
string
messages
required
integer format: int64
ratesAsOf
required
string format: date-time
open
required
integer format: int64
quiet
required
boolean
window
required
string

Example generated

{
"connected": true,
"consent": 1,
"cost": {
"amount": 1,
"byCountry": [
{
"amount": 1,
"country": "example",
"messages": 1,
"price": 1
}
],
"category": "example",
"messages": 1,
"ratesAsOf": "2026-04-15T12:00:00Z"
},
"open": 1,
"quiet": true,
"window": "example"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}